# Copyright 1999-2017. Plesk International GmbH. All rights reserved.
package Db::PostgresqlUtils;

use strict;
use warnings;

sub getTables{
  my (
    #@type Db::Connection
    $conn
  ) = @_;

  my @tables = ();
  if ($conn->execute("SELECT tablename FROM pg_tables WHERE schemaname = 'public'")) {
    while (my $row = $conn->fetchhash()) {
      push @tables, $row->{'tablename'};
    }
  }
  $conn->finish();

  return \@tables;
}

1;